<?php
/** no direct access: ensure this file is being included by a parent file */
if ( ! ( defined( '_VALID_CB' ) || defined( '_JEXEC' ) || defined( '_VALID_MOS' ) ) ) { die( 'Direct Access to this location is not allowed.' ); }


if(!$randuser) {
	echo $params->get('no_users', 'no user');
}
else {
	$avatar_image_width	= $params->get('avatar_width', 60); 
	$avatar_shown			= (int)$params->get('avatar_shown', 1);
	$add_fields_type		= (int)$params->get('add_fields_type', 1);
	$add_fields_alignment	= (int)$params->get('add_fields_alignment', 1);
	$add_fields_title		= (int)$params->get('add_fields_title', 2);
	
	$avatar			= '';
	$user_fields	= $randuser['user_fields'];
	$field_names	= $randuser['field_names'];

	$name				= htmlspecialchars($randuser['name'], ENT_QUOTES, 'UTF-8');
	$profilelink		= $_CB_framework->userProfileUrl( $user_fields['id'] );	
	
	if ($avatar_shown) {
		$avatar = '<img src="' . $randuser['avatar'] . '" title="' . $name . '" alt="' . $name . '" width="' . $avatar_image_width . '" />';
	}

	// additional fields
	$add_fields_html = '';
	if (null != $field_names) {
		foreach ($field_names as $field) {
			// show only fields with value
			if (null != $user_fields[$field['name']]) {
				if (('' != $add_fields_html) && (1 != $add_fields_type)) { $add_fields_html .= ', '; }
				if ((1 == $add_fields_type) && $add_fields_title) { $add_fields_html .= ''; }
				switch ($add_fields_title) {
					case 1:
						$add_fields_html .= getLangDefinition($field['title']) . ': ';
						break;
					case 2:
						$add_fields_html .= '<strong>' . getLangDefinition($field['title']) . ':' . '</strong>' . ' ';
						break;
				}
								
				if (1 == $add_fields_type) { $add_fields_html .= ''; }
				
				// date needs special formatting
				$field_type = modcbrandomuserHelper::getFieldType($field['name'], '#__comprofiler');
				if (('date' == $field_type) || ('datetime' == $field_type)) {
					$date = JFactory::getDate($user_fields[$field['name']]);
					$add_fields_html .= JHTML::_('date', $date->toUnix(), JText::_('DATE_FORMAT_LC3')); 
				
				}
				else {
					$add_fields_html .= $user_fields[$field['name']];
				
				}

/*
				$dp = date_parse($user_fields[$field['name']]);
				if ($dp && !empty($dp->year)) {
					$date = JFactory::getDate($user_fields[$field['name']]);
					$add_fields_html .= JHTML::_('date', $date->toUnix(), JText::_('DATE_FORMAT_LC3')); 
				}
				else {
					$add_fields_html .= $user_fields[$field['name']];
				}
*/
			
				if ((1 == $add_fields_type) && $add_fields_title) { $add_fields_html .= ''; }
			}	
		}		
	}
	
	$profile_html = '<a href="' . $profilelink . '">';
	$html = '<div align="center">' . $profile_html . $avatar . '</a>' . $profile_html . $name . '</a>';
	
	//additional fields
	if ('' != $add_fields_html) {
		switch ($add_fields_alignment) {
			case 0:	// center
				$add_fields_align = 'center';
				break;
			case 1:	// left
				$add_fields_align = 'left';
				break;
			case 2:	// right
				$add_fields_align = 'right';
				break;
			default:	// center
				$add_fields_align = 'center';
		}

		$html .= '<div align="' . $add_fields_align .'">' . $add_fields_html . '</div>';
	}
	$html. = "</div>";

	echo $html;
}
?>